# This file created by conda-build 3.15.1
# meta.yaml template originally from:
# C:\projects\r-settings-feedstock\recipe, last modified Wed Oct 17 16:59:12 2018
# ------------------------------------------------

package:
    name: r-settings
    version: 0.2.4
source:
    fn: settings_0.2.4.tar.gz
    sha256: 3edbb172af062d9b28a4e82226c2acfe7511dd073cd1924c13d754c6acd95a24
    url:
        - https://cran.r-project.org/src/contrib/Archive/settings/settings_0.2.4.tar.gz
        - https://cran.r-project.org/src/contrib/settings_0.2.4.tar.gz
build:
    merge_build_host: true
    number: '1'
    rpaths:
        - lib/
        - lib/R/lib/
    script: R CMD INSTALL --build .
    string: r351h6115d3f_1
requirements:
    build:
        - m2-gcc-libs 5.3.0 4
        - m2-libbz2 1.0.6 3
        - m2-msys2-runtime 2.5.0.17080.65c939c 3
        - m2-zip 3.0 2
        - msys2-conda-epoch 20160418 1
    host:
        - m2w64-bwidget 1.9.10 2
        - m2w64-bzip2 1.0.6 6
        - m2w64-expat 2.1.1 2
        - m2w64-fftw 3.3.4 6
        - m2w64-flac 1.3.1 3
        - m2w64-gcc-libgfortran 5.3.0 6
        - m2w64-gcc-libs 5.3.0 7
        - m2w64-gcc-libs-core 5.3.0 7
        - m2w64-gettext 0.19.7 2
        - m2w64-gmp 6.1.0 2
        - m2w64-gsl 2.1 2
        - m2w64-libiconv 1.14 6
        - m2w64-libjpeg-turbo 1.4.2 3
        - m2w64-libogg 1.3.2 3
        - m2w64-libpng 1.6.21 2
        - m2w64-libsndfile 1.0.26 2
        - m2w64-libtiff 4.0.6 2
        - m2w64-libvorbis 1.3.5 2
        - m2w64-libwinpthread-git 5.0.0.4634.697f757 2
        - m2w64-libxml2 2.9.3 4
        - m2w64-mpfr 3.1.4 4
        - m2w64-pcre 8.38 2
        - m2w64-speex 1.2rc2 3
        - m2w64-speexdsp 1.2rc3 3
        - m2w64-tcl 8.6.5 3
        - m2w64-tk 8.6.5 3
        - m2w64-tktable 2.10 5
        - m2w64-wineditline 2.101 5
        - m2w64-xz 5.2.2 2
        - m2w64-zlib 1.2.8 10
        - msys2-conda-epoch 20160418 1
        - r-base 3.5.1 h8933c1f_1
    run:
        - r-base >=3.5.1,<3.5.2.0a0
test:
    commands:
        - '"%R%" -e "library(''settings'')"'
about:
    home: https://cran.r-project.org/web/packages/settings
    license: GPL-3
    summary: Provides option settings management that goes beyond R's default 'options'
        function. With this package, users can define their own option settings manager
        holding option names, default values and  (if so desired) ranges or sets of
        allowed option values that will be  automatically checked. Settings can then
        be retrieved, altered and reset  to defaults with ease. For R programmers
        and package developers it offers  cloning and merging functionality which
        allows for conveniently defining  global and local options, possibly in a
        multilevel options hierarchy. See  the package vignette for some examples
        concerning functions, S4 classes,  and reference classes. There are convenience
        functions to reset par()  and options() to their 'factory defaults'.
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - dpryan79
        - ocefpaf
